# Update nostro account balance limits

Updates minimum and maximum allowed balance limits on a nostro account owned by this financial institution on a ledger on a peered xCurrent instance. Allows owner of nostro account to restrict balance range to less than the account maximum and greater than the account minimum set by partner.

Endpoint: PUT /config/accounts/{nostroAccountAddress}/nostro-account-update
Version: 4.0.0
Security: Bearer

## Path parameters:

  - `nostroAccountAddress` (string, required)
    The RippleNet address of the nostro account. Use the format accountname@ripplenetaddress where accountname represents the nostro account and ripplenetaddress represents the the peered xCurrent instance that contains the nostro account. For example, sf-aus@rn.us.tx.austin.

## Request fields (application/json):

  - `minimum_allowed_balance` (number)
    Set to the minimum balance allowed for the account. Updates the value of minimum_allowed_balance for the account.
    Example: -1000000

  - `maximum_allowed_balance` (number)
    Set to the maximum balance allowed for the account. Updates the value of maximum_allowed_balance for the account.
    Example: 9999999999999900000

  - `core_ledger_ref` (string)
    Core ledger reference key. This could be a bank account number for fiat, exchange name for exchange accounts, or a ledger reference for digital accounts. This field is required for exchange accounts
    Example: "bitso"

  - `enable` (boolean)
    Indicates whether the account should be disabled (false) or active (true).
    Example: true

  - `platform_account_id` (string)
    Platform account ID associated with this RippleNet account.

  - `external_account_id` (string)
    Used to link a customer’s account ID on their systems to their RippleNet account.

  - `account_description` (string)
    Description associated with this RippleNet account.

## Response 400 fields (application/json):

  - `type` (string)
    URL to the error documentation.
    Example: "https://errors.ripplenet.ripple.com/error/json-processing-error"

  - `title` (string)
    Summary of the returned problem.
    Example: "Invalid Request Object"

  - `detail` (string)
    Description of the returned problem.
    Example: "The request parameter [account_id] is not in the correct format."

  - `status` (number)
    HTTP error code.
    Example: 400

  - `ripplenet_error_code` (string)
    RippleNet specific error code.
    Example: "E0104"

  - `finality` (string)
    Specifies if the request can be retried for a successful response.
    Example: "PERMANENT"


## Response 200 fields
